/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the plugins of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Licensees holding valid Qt Enterprise licenses may use this file in
** accordance with the Qt Enterprise License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QMOUSELINUXINPUT_QWS_H
#define QMOUSELINUXINPUT_QWS_H

#include <QtGui/QWSCalibratedMouseHandler>

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

#ifndef QT_NO_QWS_MOUSE_LINUXINPUT

class QWSLinuxInputMousePrivate;

class QWSLinuxInputMouseHandler : public QWSCalibratedMouseHandler
{
public:
    QWSLinuxInputMouseHandler(const QString &);
    ~QWSLinuxInputMouseHandler();

    void suspend();
    void resume();

private:
    QWSLinuxInputMousePrivate *d;

    friend class QWSLinuxInputMousePrivate;
};

#endif // QT_NO_QWS_MOUSE_LINUXINPUT

QT_END_NAMESPACE

QT_END_HEADER

#endif // QMOUSELINUXINPUT_QWS_H
